<?php

namespace Drupal\sibs_api\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Class for Sibs Form.
 */
class SibsForm extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function getForm($id) {
    $config = \Drupal::config('sibs_api.settings');
    $tempstore = \Drupal::service('tempstore.private')->get('sibs_api');

    $formConfig = $tempstore->get($id);
    if (!$formConfig["redirectUrl"]) {
      $formConfig["redirectUrl"] = $config->get('spg_return_url');
    }
    $formConfig["customerData"] = NULL;
    $formConfig["language"] = "pt";
    $formContext = $formConfig['formContext'];

    $formStyle = [
      "layout" => "default",
      "theme" => "default",
      "color" => [
        "primary" => "",
        "secondary" => "",
        "border" => "",
        "surface" => "",
        "header" => [
          "text" => "#5C5C5C",
          "background" => "#fff",
        ],
        "body" => [
          "text" => "#5C5C5C",
          "background" => "#fff",
        ],
      ],
      "font" => "",
    ];

    return [
      '#type' => 'inline_template',
      '#template' => '<form class="paymentSPG" spg-context="{{formContext}}" spg-config="{{formConfig}}" spg-style="{{formStyle}}"><form>',
      '#context' => [
        'formContext' => $formContext,
        'formConfig' => json_encode($formConfig),
        'formStyle' => json_encode($formStyle),
      ],
      '#cache' => [
        'max-age' => 0,
      ],
    ];
  }

}
